Gift
POST
/giftSubmits a payment transaction request utilizing transaction type 12, an existing card token, customer contact preferences, and address verification.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringpreferences
eReceipt
booleancustomerName
stringcustomerEmail
stringcustomerMobile
stringrequestCardToken
booleantransactionRequest
amount
stringtransactionType
numbercardToken
stringapplySteamSettingTipFeeTax
booleanavs
StreetNo
stringZip
stringPOST/gift
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransact' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "123456789123",
7 "transactionReferenceId": "TXN000"
8 },
9 "preferences": {
10 "eReceipt": false,
11 "customerName": "Jane Doe",
12 "customerEmail": "janedoe@example.com",
13 "customerMobile": "+14242424243",
14 "requestCardToken": true
15 },
16 "transactionRequest": {
17 "amount": "2500",
18 "transactionType": 12,
19 "cardToken": "card-token-value-example",
20 "applySteamSettingTipFeeTax": false
21 },
22 "avs": {
23 "StreetNo": "123 Main St",
24 "Zip": "90210"
25 }
26}'
Response
// Awaiting response…
Sample response
{
"iposhpresponse": {
"responseCode": "200",
"responseMessage": "success",
"errResponseCode": "",
"errResponseMessage": "",
"transactionReferenceId": "TXN1718000000123",
"transactionType": "12",
"transactionId": "TXID-88990011",
"amount": "2500",
"responseApprovalCode": "APP12345",
"rrn": "219313501821",
"transactionNumber": "4321",
"batchNumber": "123",
"customFee": "0",
"totalAmount": "2500"
}
}